Check Point Advisories

Ektron 8.02 XSLT Transform Remote Code Execution (CVE-2012-5357)

Check Point Reference: CPAI-2013-1910
Date Published: 1 Jul 2013
Severity: High
Last Updated: 25 Oct 2016
Industry Reference:CVE-2012-5357
Protection Provided by:

Security Gateway
R80, R77, R76, R75

Who is Vulnerable?
Vulnerability Description A remote code execution has been reported in Ektron XSLT. The vulnerability exists due to the insecure usage of XslCompiledTransform, using a XSLT controlled by the user. Successful exploitation attempt would allow an attacker to take complete control of the target system.

Protection Overview

This protection will detect and block attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update.For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R76 / R75

  1. In the IPS tab, click Protections and find the Ektron 8.02 XSLT Transform Remote Code Execution protection using the Search tool and Edit the protection's settings.
  2. Install policy on all modules.

This protection's log will contain the following information:

Attack Name:  Application Servers Protection Violation.
Attack Information:  Ektron 8.02 XSLT Transform Remote Code Execution